#!/bin/bash
this=`basename $0`
this=`echo $0 | sed -e 's/\/'$this'$//'`
. /home/native/.profile
GAMES=/mmc/mmca1/games
export HOME=$this

if [ -f $GAMES/gamesrc ]; then
  . $GAMES/gamesrc
else
  export LD_LIBRARY_PATH=$GAMES/lib:$LD_LIBRARY_PATH

  # uncomment next line if you wanna 270-degrees clockwise rotated screen 
  #export SDL_QT_INVERT_ROTATION=1
fi

exec $GAMES/bin/prboom -width 320 -height 240 -iwad plutonia.wad -file $GAMES/data/doom/death2.wad $* > /mmc/mmca1/doom.log 2>&1